Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.validation
Class ObjectDescriptor

    java.lang.Object
      com.sun.mdm.index.objects.validation.ObjectDescriptor

public class ObjectDescriptor
extends java.lang.Object

Field Summary
`protected java.util.Hashtable` | `mFields`
`protected java.lang.String` | `mObjectName`
`protected java.util.Hashtable` | `mPatterns`
`protected java.util.Hashtable` | `mReferences`
`protected java.util.Hashtable` | `mUserCodes`
`protected java.util.Hashtable` | `mUserReferences`
`protected java.util.Hashtable` | `mValues`

Constructor Summary
`ObjectDescriptor()`
`ObjectDescriptor(java.lang.String objectName)` Creates a new instance of ObjectDescriptor

Method Summary
`void` | `addFieldDescriptor(java.util.ArrayList fldDescArray)` Adds a list of FieldDescriptor to this ObjectDescriptor object
`void` | `addFieldDescriptor(FieldDescriptor fldDesc)` Adds a FieldDescriptor to this ObjectDescriptor object
`void` | `addFieldDescriptor(FieldDescriptor fldDesc, ReferenceDescriptor reference)` Adds a FieldDescriptor and a ReferenceDescriptor to this ObjectDescriptor object
`void` | `addPatternValidator(java.lang.String fieldName, PatternValidator validator)` Assign a ValueValidator to a field
`void` | `addReferenceDescriptor(java.lang.String fieldName, ReferenceDescriptor reference)` Adds a ReferenceDescriptor to this ObjectDescriptor object
`void` | `addUserCodeValidator(java.lang.String fieldName, UserCodeValidator validator)` Assign a ValueValidator to a field
`void` | `addUserReferenceDescriptor(java.lang.String fieldName, UserReferenceDescriptor reference)` Adds a UserReferenceDescriptor to this ObjectDescriptor object
`void` | `addValueValidator(java.lang.String fieldName, ValueValidator validator)` Assign a ValueValidator to a field
`java.lang.String` | `getObjectName()` Get the object name of this ObjectDescriptor
`void` | `setObjectName(java.lang.String objectName)` Set the object name of this ObjectDescriptor
`java.lang.String` | `toString()`
`void` | `validate(ObjectNode objectNode)` Validate an object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mFields

    protected java.util.Hashtable mFields

### mObjectName

    protected java.lang.String mObjectName

### mPatterns

    protected java.util.Hashtable mPatterns

### mReferences

    protected java.util.Hashtable mReferences

### mUserCodes

    protected java.util.Hashtable mUserCodes

### mUserReferences

    protected java.util.Hashtable mUserReferences

### mValues

    protected java.util.Hashtable mValues

Constructor Detail

### ObjectDescriptor

    public ObjectDescriptor()

### ObjectDescriptor

    public ObjectDescriptor(java.lang.String objectName)

  Creates a new instance of ObjectDescriptor

  Parameters:
    `objectName` - name of the object

Method Detail

### addFieldDescriptor

    public void addFieldDescriptor(java.util.ArrayList fldDescArray)
                            throws ValidationException

  Adds a list of FieldDescriptor to this ObjectDescriptor object

  Parameters:
    `fldDescArray` - an ArrayList of FieldDescriptor
  Throws:
    `ValidationException` - NullObjectException

### addFieldDescriptor

    public void addFieldDescriptor(FieldDescriptor fldDesc)
                            throws ValidationException

  Adds a FieldDescriptor to this ObjectDescriptor object

  Parameters:
    `fldDesc` - a FieldDescriptor
  Throws:
    `ValidationException` - NullObjectException

### addFieldDescriptor

    public void addFieldDescriptor(FieldDescriptor fldDesc,
                                   ReferenceDescriptor reference)
                            throws ValidationException

  Adds a FieldDescriptor and a ReferenceDescriptor to this ObjectDescriptor object

  Parameters:
    `fldDesc` - a FieldDescriptor
    `reference` - a referenceDescriptor
  Throws:
    `ValidationException` - NullObjectException

### addPatternValidator

    public void addPatternValidator(java.lang.String fieldName,
                                    PatternValidator validator)
                             throws ValidationException

  Assign a ValueValidator to a field

  Parameters:
    `fieldName` - field name
    `validator` - a PatternValidator
  Throws:
    `ValidationException` - NullObjectException

### addReferenceDescriptor

    public void addReferenceDescriptor(java.lang.String fieldName,
                                       ReferenceDescriptor reference)
                                throws ValidationException

  Adds a ReferenceDescriptor to this ObjectDescriptor object

  Parameters:
    `fieldName` - field name
    `reference` - a referenceDescriptor
  Throws:
    `ValidationException` - NullObjectException

### addUserCodeValidator

    public void addUserCodeValidator(java.lang.String fieldName,
                                     UserCodeValidator validator)
                              throws ValidationException

  Assign a ValueValidator to a field

  Parameters:
    `fieldName` - field name
    `validator` - a ValueValidator
  Throws:
    `ValidationException` - NullObjectException

### addUserReferenceDescriptor

    public void addUserReferenceDescriptor(java.lang.String fieldName,
                                           UserReferenceDescriptor reference)
                                    throws ValidationException

  Adds a UserReferenceDescriptor to this ObjectDescriptor object

  Parameters:
    `fieldName` - field name
    `reference` - a referenceDescriptor
  Throws:
    `ValidationException` - NullObjectException

### addValueValidator

    public void addValueValidator(java.lang.String fieldName,
                                  ValueValidator validator)
                           throws ValidationException

  Assign a ValueValidator to a field

  Parameters:
    `fieldName` - field name
    `validator` - a ValueValidator
  Throws:
    `ValidationException` - NullObjectException

### getObjectName

    public java.lang.String getObjectName()

  Get the object name of this ObjectDescriptor

  Returns:
    the object name

### setObjectName

    public void setObjectName(java.lang.String objectName)

  Set the object name of this ObjectDescriptor

  Parameters:
    `objectName` - object name

### toString

    public java.lang.String toString()

  Returns:
    a string that describes this ObjectDescriptor

### validate

    public void validate(ObjectNode objectNode)
                  throws ValidationException

  Validate an object

  Parameters:
    `objectNode` - object node
  Throws:
    `ValidationException` - Field counts mismatched,

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.